Package com.io7m.coffeepick.runtime.format.xml

# Class FormatXMLProbeHandler

java.lang.Object
org.xml.sax.helpers.DefaultHandler
org.xml.sax.ext.DefaultHandler2
com.io7m.coffeepick.runtime.format.xml.FormatXMLProbeHandler

All Implemented Interfaces:
  `org.xml.sax.ContentHandler`, `org.xml.sax.DTDHandler`, `org.xml.sax.EntityResolver`, `org.xml.sax.ErrorHandler`, `org.xml.sax.ext.DeclHandler`, `org.xml.sax.ext.EntityResolver2`, `org.xml.sax.ext.LexicalHandler`

    public final class FormatXMLProbeHandler
    extends org.xml.sax.ext.DefaultHandler2

A proving content handler.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FormatXMLProbeHandler​(java.net.URI in_file_uri)` | Construct a dispatcher.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `error​(org.xml.sax.SAXParseException e)` |
  `void` | `fatalError​(org.xml.sax.SAXParseException e)` |
  `SPIProbeResultType` | `result()` |
  `void` | `setDocumentLocator​(org.xml.sax.Locator in_locator)` |
  `void` | `startElement​(java.lang.String uri, java.lang.String name, java.lang.String qname, org.xml.sax.Attributes attributes)` |
  `void` | `startPrefixMapping​(java.lang.String prefix, java.lang.String uri)` |
  `void` | `warning​(org.xml.sax.SAXParseException e)` |

  ### Methods inherited from class org.xml.sax.ext.DefaultHandler2

  `attributeDecl, comment, elementDecl, endCDATA, endDTD, endEntity, externalEntityDecl, getExternalSubset, internalEntityDecl, resolveEntity, resolveEntity, startCDATA, startDTD, startEntity`

  ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

  `characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, skippedEntity, startDocument, unparsedEntityDecl`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.xml.sax.ContentHandler

  `declaration`

- ## Constructor Details

  - ### FormatXMLProbeHandler

    public FormatXMLProbeHandler​(java.net.URI in_file_uri)
    Construct a dispatcher.
    Parameters:
      `in_file_uri` - The URI of the file being parsed

- ## Method Details

  - ### result

    public SPIProbeResultType result()
    Returns:
      The probe result

  - ### startElement

    public void startElement​(java.lang.String uri, java.lang.String name, java.lang.String qname, org.xml.sax.Attributes attributes) throws org.xml.sax.SAXException
    Specified by:
      `startElement` in interface `org.xml.sax.ContentHandler`
    Overrides:
      `startElement` in class `org.xml.sax.helpers.DefaultHandler`
    Throws:
      `org.xml.sax.SAXException`

  - ### startPrefixMapping

    public void startPrefixMapping​(java.lang.String prefix, java.lang.String uri) throws org.xml.sax.SAXException
    Specified by:
      `startPrefixMapping` in interface `org.xml.sax.ContentHandler`
    Overrides:
      `startPrefixMapping` in class `org.xml.sax.helpers.DefaultHandler`
    Throws:
      `org.xml.sax.SAXException`

  - ### setDocumentLocator

    public void setDocumentLocator​(org.xml.sax.Locator in_locator)
    Specified by:
      `setDocumentLocator` in interface `org.xml.sax.ContentHandler`
    Overrides:
      `setDocumentLocator` in class `org.xml.sax.helpers.DefaultHandler`

  - ### warning

    public void warning​(org.xml.sax.SAXParseException e)
    Specified by:
      `warning` in interface `org.xml.sax.ErrorHandler`
    Overrides:
      `warning` in class `org.xml.sax.helpers.DefaultHandler`

  - ### error

    public void error​(org.xml.sax.SAXParseException e) throws org.xml.sax.SAXParseException
    Specified by:
      `error` in interface `org.xml.sax.ErrorHandler`
    Overrides:
      `error` in class `org.xml.sax.helpers.DefaultHandler`
    Throws:
      `org.xml.sax.SAXParseException`

  - ### fatalError

    public void fatalError​(org.xml.sax.SAXParseException e) throws org.xml.sax.SAXException
    Specified by:
      `fatalError` in interface `org.xml.sax.ErrorHandler`
    Overrides:
      `fatalError` in class `org.xml.sax.helpers.DefaultHandler`
    Throws:
      `org.xml.sax.SAXException`